summaryrefslogtreecommitdiffstats
path: root/system/mount-s3
diff options
context:
space:
mode:
Diffstat (limited to 'system/mount-s3')
-rw-r--r--system/mount-s3/README4
-rw-r--r--system/mount-s3/mount-s3.SlackBuild77
-rw-r--r--system/mount-s3/mount-s3.info10
-rw-r--r--system/mount-s3/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/system/mount-s3/README b/system/mount-s3/README
new file mode 100644
index 0000000000..3a48b400ff
--- /dev/null
+++ b/system/mount-s3/README
@@ -0,0 +1,4 @@
+Mountpoint for Amazon S3 is a simple, high-throughput file client
+for mounting an Amazon S3 bucket as a local file system.
+
+This package repackage the binary
diff --git a/system/mount-s3/mount-s3.SlackBuild b/system/mount-s3/mount-s3.SlackBuild
new file mode 100644
index 0000000000..1b0f4105ad
--- /dev/null
+++ b/system/mount-s3/mount-s3.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# Slackware build script for mount-s3
+
+# Copyright Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mount-s3
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=x86_64
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+cd $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-$ARCH.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+mv bin/$PRGNAM $PKG/usr/bin
+mv NOTICE VERSION LICENSE THIRD_PARTY_LICENSES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/mount-s3/mount-s3.info b/system/mount-s3/mount-s3.info
new file mode 100644
index 0000000000..6aa7552d81
--- /dev/null
+++ b/system/mount-s3/mount-s3.info
@@ -0,0 +1,10 @@
+PRGNAM="mount-s3"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/awslabs/mountpoint-s3/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://s3.amazonaws.com/mountpoint-s3-release/1.0.0/x86_64/mount-s3-1.0.0-x86_64.tar.gz"
+MD5SUM_x86_64="2eff593b86776ee27ccc408af2532f11"
+REQUIRES="awscli"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/system/mount-s3/slack-desc b/system/mount-s3/slack-desc
new file mode 100644
index 0000000000..0d1b608d83
--- /dev/null
+++ b/system/mount-s3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mount-s3: mount-s3 (Amazon S3 bucket)
+mount-s3:
+mount-s3: Mountpoint for Amazon S3 is a simple, high-throughput file client
+mount-s3: for mounting an Amazon S3 bucket as a local file system.
+mount-s3:
+mount-s3:
+mount-s3:
+mount-s3: Project: https://github.com/awslabs/mountpoint-s3/
+mount-s3:
+mount-s3:
+mount-s3: